Unenroll From Sequence
POST
POST
http://api.atzcrm.com/v1/sequence/{sequence_id}/unenrollUnenroll a candidate or contact from an active or paused enrollment in a sequence. The sequence_id is passed in the URL, and the entity is selected by entity_type and slug in the request body.
Request
Path Parameters
- sequence_id
integerRequired. The sequence id to unenroll the entity from.
Body
- entity_type
stringRequired. Allowed values: candidate, contact.
- slug
stringRequired. Candidate slug or contact slug from the same account.
Request Example
{
"entity_type": "candidate",
"slug": "candidate_0d25558c1a77fc2d7d98"
}
{
"entity_type": "contact",
"slug": "contact_68ba678fcd2a83f4640c"
}
Response
200
Body
- message
stringExample: Unenrolled from Sequence successfully.
400
Body
- Validation errors
Returned as an array of field level errors.
- Business rule errors
Returned as an object with a message, for example when there is no active or paused enrollment to unenroll.
401
Body
- unauthorised
500
Body
- Error while unenrolling from sequence
Response Example
{
"message": "Unenrolled from Sequence successfully."
}
Validation Error Example
[
{
"field_name": "sequence_id",
"error_message": "sequence_id must be an integer"
}
]
Business Error Example
{
"message": "No records found to Unenroll"
}